name-template: '$RESOLVED_VERSION'
tag-template: 'v$RESOLVED_VERSION'
version-resolver:
  major:
    labels:
      - 'Type: Major'
      - 'major'
  minor:
    labels:
      - 'Type: Minor'
      - 'minor'
  patch:
    labels:
      - 'Type: Patch'
      - 'patch'
  default: patch
categories:
  - title: '🚀 Features'
    labels:
      - 'Type: Feature'
      - 'feature'
  - title: '⚙️ Enhancements'
    labels:
      - 'Type: Enhancement'
      - 'enhancement'
  - title: '🐛 Bug Fixes'
    labels:
      - 'Type: Bug'
      - 'fix'
      - 'bugfix'
      - 'bug'
  - title: '🔧 Maintenance'
    labels:
      - 'Type: Maintenance'
      - 'Type: Dependencies'
      - 'dependencies'
      - 'maintenance'
template: |
  ## Changes

  $CHANGES

  Contributors to this release: $CONTRIBUTORS
